# 2. Get Visuals https://api.pexels.com/v1/videos/search GET https://graph.facebook.com/v1/videos/search Reference: https://docs.deao.dev/cloudflare/yt-channel-videos-upload-workflow/2-get-visuals-https-api-pexels-com-v-1-videos-search ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v1/videos/search: get: operationId: 2-get-visuals-https-api-pexels-com-v-1-videos-search summary: 2. Get Visuals https://api.pexels.com/v1/videos/search tags: - subpackage_ytChannelVideosUploadWorkflow parameters: - name: query in: query required: false schema: type: string - name: orientation in: query required: false schema: type: string responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/YT Channel Videos Upload Workflow_2. Get Visuals https://api.pexels.com/v1/videos/search_Response_200 servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: YT Channel Videos Upload Workflow_2. Get Visuals https://api.pexels.com/v1/videos/search_Response_200: type: object properties: {} description: Empty response body title: >- YT Channel Videos Upload Workflow_2. Get Visuals https://api.pexels.com/v1/videos/search_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/v1/videos/search" querystring = {"query":"trucks","orientation":"landscape"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/v1/videos/search?query=trucks&orientation=landscape'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://graph.facebook.com/v1/videos/search?query=trucks&orientation=landscape" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/v1/videos/search?query=trucks&orientation=landscape") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://graph.facebook.com/v1/videos/search?query=trucks&orientation=landscape") .asString(); ``` ```php request('GET', 'https://graph.facebook.com/v1/videos/search?query=trucks&orientation=landscape'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/v1/videos/search?query=trucks&orientation=landscape"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/v1/videos/search?query=trucks&orientation=landscape")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```